#!/bin/sh

OPTIND=1

jar_path="/opt/eggPlantPerformance/injector/bin/injector.jar"
port=39000
background=false
log_dir="/var/log/eggPlantPerformance"
ssl=false
verify=false

while getopts "j:p:svb:" opt; do
	case "$opt" in
	j)
		jar_path=$OPTARG
		;;
	p)
		port=$OPTARG
		;;
	s)
		ssl=true
		;;
	v)
		verify=true
		;;
	b)
		background=true
		;;
	esac
done

if [ "$background" = true ] ; then
	echo "Starting injector on port $port"
	if [ "$ssl" = true ]; then
		if [ "$verify" = true ]; then
			nohup java -Dlog_dir=$log_dir -jar $jar_path -p $port -s -v < /dev/null > $log_dir/runinjector.out 2>&1 &
		else
			nohup java -Dlog_dir=$log_dir -jar $jar_path -p $port -s < /dev/null > $log_dir/runinjector.out 2>&1 &
		fi
	else
		if [ "$verify" = true ]; then
			nohup java -Dlog_dir=$log_dir -jar $jar_path -p $port -v < /dev/null > $log_dir/runinjector.out 2>&1 &
		else
			nohup java -Dlog_dir=$log_dir -jar $jar_path -p $port < /dev/null > $log_dir/runinjector.out 2>&1 &
		fi
	fi
else
	if [ "$ssl" = true ]; then
		if [ "$verify" = true ]; then
			java -Dlog_dir=$log_dir -jar $jar_path -p $port -s -v
		else
			java -Dlog_dir=$log_dir -jar $jar_path -p $port -s
		fi
	else
		if [ "$verify" = true ]; then
			java -Dlog_dir=$log_dir -jar $jar_path -p $port -v
		else
			java -Dlog_dir=$log_dir -jar $jar_path -p $port
		fi
	fi
fi

